Overview
In addition to its own native API, Redo offers a Loop Returns-compatible API. This API allows systems to leverage an existing integration with Loop into an integration with Redo, with very little work.Supported Endpoints
Redo supports the following Loop-compatible endpoints. All endpoints use the same data formats as described in Loop’s documentation: https://docs.loopreturns.com/api-reference/getting-started To use these endpoints with Redo, replacehttps://api.loopreturns.com with:
Return Management
Return Identification
When making requests to endpoints with:return_id in the path, you can identify the return using multiple methods:
-
Loop ID (recommended for compatibility): Use the
idfield from the return response as the path parameter -
Redo ID: Use a query parameter
redo_return_idwith Redo’s internal ID (theredo_idfield from responses) -
Order Name: Use a query parameter
order_name -
Order ID: Use a query parameter
order_id
Understanding Return IDs:
id- Loop-compatible return ID (number) for backwards compatibilityredo_id- Redo’s internal return identifier (string/ObjectId)
Notes
Reporting
Important Terminology Differences:
- Loop’s “close” endpoint maps to Redo’s cancel/reject functionality
- Loop’s “cancel” endpoint maps to Redo’s reset functionality